Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007353OCamlocamldocpublic2016-09-10 14:302017-03-15 23:12
Reporterdbuenzli 
Assigned Tooctachron 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target Version4.05.0+devFixed in Version4.06.0+dev 
Summary0007353: ocamldoc sometimes generates untagged text
DescriptionHere's an example:

The text "Besides ..." that follows the first code fence of this section:

http://erratique.ch/tmp/opkg-ocamldoc/var/cache/opkg/ocamldoc/react/React.html#lifting [^]

Is not wrapped into a p as would be expected. Here's the code:

https://github.com/dbuenzli/react/blob/master/src/react.mli#L949-L957 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0016286)
octachron (developer)
2016-09-11 17:44

The untagged text elements in this example stems from the fact that ocamldoc
only emits opening "p" tags at newline (and never closes them), so whenever browsers automatically close the tag at the end of a phrasing content, the next text element is never wrapped in a "p" tag.

To solve this problem, I have proposed to make the generation of paragraph element by ocamldoc much more regular in https://github.com/ocaml/ocaml/pull/804. [^]
(0017681)
octachron (developer)
2017-03-15 23:12

The above PR have integrated into the current development version and this is issue is on its way to be fixed in Ocaml 4.06.

- Issue History
Date Modified Username Field Change
2016-09-10 14:30 dbuenzli New Issue
2016-09-11 17:44 octachron Note Added: 0016286
2016-09-27 16:46 doligez Status new => acknowledged
2016-09-27 16:46 doligez Target Version => 4.05.0+dev
2017-02-23 16:46 doligez Category OCamldoc => ocamldoc
2017-03-15 23:12 octachron Note Added: 0017681
2017-03-15 23:12 octachron Status acknowledged => resolved
2017-03-15 23:12 octachron Fixed in Version => 4.06.0+dev
2017-03-15 23:12 octachron Resolution open => fixed
2017-03-15 23:12 octachron Assigned To => octachron


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker